/*===========================================================================*/
/*   (Expand/expander.scm)                                                   */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Expand/expander.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

static obj_t BGl__installzd2Ozd2comptimezd2expander1080zd2zzexpand_expanderz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00();
static obj_t BGl_za2Genvza2z00zzexpand_expanderz00 = BUNSPEC;
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_EXPORTED_DECL obj_t BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t BGl__initializa7ezd2Genvz12z67zzexpand_expanderz00(obj_t);
BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(obj_t);
BGL_IMPORT bool_t BGl_hashtablezd2removez12zc0zz__hashz00(obj_t, obj_t);
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
static obj_t BGl__unbindzd2Ozd2expanderz121085z12zzexpand_expanderz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(obj_t);
static obj_t BGl__installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00();
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl_zc3anonymousza31046ze3z83zzexpand_expanderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2Oenvza2z00zzexpand_expanderz00 = BUNSPEC;
extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(obj_t);
static obj_t BGl__initializa7ezd2Oenvz12z67zzexpand_expanderz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzexpand_expanderz00();
BGL_EXPORTED_DECL obj_t BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzexpand_expanderz00();
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzexpand_expanderz00 = BUNSPEC;
extern obj_t BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00();
static obj_t BGl__unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(obj_t, obj_t);
static obj_t BGl__findzd2Gzd2expanderz00zzexpand_expanderz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzexpand_expanderz00();
static obj_t BGl__findzd2Ozd2expander1083z00zzexpand_expanderz00(obj_t, obj_t);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_installzd2Gzd2comptimezd2expanderzd2envz00zzexpand_expanderz00, BgL_bgl__installza7d2gza7d2comptimeza7d2expanderza7d2za7za7expand_expanderza7001144za7, BGl__installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2Ozd2expanderzd2envzd2zzexpand_expanderz00, BgL_bgl__findza7d2oza7d2expander1083za700za7za7expand_expanderza7001145z00, BGl__findzd2Ozd2expander1083z00zzexpand_expanderz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_installzd2Ozd2comptimezd2expanderzd2envz00zzexpand_expanderz00, BgL_bgl__installza7d2oza7d2comptimeza7d2expander1080za7d2za7za7expand_expanderza7001146za7, BGl__installzd2Ozd2comptimezd2expander1080zd2zzexpand_expanderz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_unbindzd2Ozd2expanderz12zd2envzc0zzexpand_expanderz00, BgL_bgl__unbindza7d2oza7d2expanderza7121085za712za7za7expand_expanderza7001147za7, BGl__unbindzd2Ozd2expanderz121085z12zzexpand_expanderz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_initializa7ezd2Genvz12zd2envzb5zzexpand_expanderz00, BgL_bgl__initializa7a7eza7d2genvza712za767za7za7expand_expanderza7001148za7, BGl__initializa7ezd2Genvz12z67zzexpand_expanderz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_unbindzd2Gzd2expanderz12zd2envzc0zzexpand_expanderz00, BgL_bgl__unbindza7d2gza7d2expanderza712za712za7za7expand_expanderza7001149za7, BGl__unbindzd2Gzd2expanderz12z12zzexpand_expanderz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_initializa7ezd2Oenvz12zd2envzb5zzexpand_expanderz00, BgL_bgl__initializa7a7eza7d2oenvza712za767za7za7expand_expanderza7001150za7, BGl__initializa7ezd2Oenvz12z67zzexpand_expanderz00, 0L, 0 );
DEFINE_STRING( BGl_string1118z00zzexpand_expanderz00, BgL_bgl_string1118za700za7za7expand_expanderza7001151z00, "expander ", 9 );
DEFINE_STRING( BGl_string1117z00zzexpand_expanderz00, BgL_bgl_string1117za700za7za7expand_expanderza7001152z00, "Illegal re-installation of G-expander", 37 );
DEFINE_STRING( BGl_string1116z00zzexpand_expanderz00, BgL_bgl_string1116za700za7za7expand_expanderza7001153z00, "install-G-comptime-expander", 27 );
DEFINE_STRING( BGl_string1115z00zzexpand_expanderz00, BgL_bgl_string1115za700za7za7expand_expanderza7001154z00, "Illegal re-installation of O-expander", 37 );
DEFINE_STRING( BGl_string1114z00zzexpand_expanderz00, BgL_bgl_string1114za700za7za7expand_expanderza7001155z00, "install-O-comptime-expander", 27 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2Gzd2expanderzd2envzd2zzexpand_expanderz00, BgL_bgl__findza7d2gza7d2expanderza700za7za7expand_expanderza7001156z00, BGl__findzd2Gzd2expanderz00zzexpand_expanderz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long BgL_checksumz00_146, char * BgL_fromz00_147)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzexpand_expanderz00))
{ 
BGl_requirezd2initializa7ationz75zzexpand_expanderz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00(); 
BGl_cnstzd2initzd2zzexpand_expanderz00(); 
BGl_importedzd2moduleszd2initz00zzexpand_expanderz00(); 
BGl_toplevelzd2initzd2zzexpand_expanderz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00()
{ AN_OBJECT;
{ /* ./Expand/expander.scm 15 */
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "expand_expander"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "expand_expander"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "expand_expander"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzexpand_expanderz00()
{ AN_OBJECT;
{ /* ./Expand/expander.scm 15 */
{ /* ./Expand/expander.scm 15 */
obj_t BgL_cportz00_139;
BgL_cportz00_139 = 
open_input_string(BGl_string1118z00zzexpand_expanderz00); 
{ 
long BgL_iz00_140;
BgL_iz00_140 = ((long)0); 
BgL_loopz00_141:
{ /* ./Expand/expander.scm 15 */
bool_t BgL_test1120z00_142;
BgL_test1120z00_142 = 
(BgL_iz00_140==((long)-1)); 
if(BgL_test1120z00_142)
{ /* ./Expand/expander.scm 15 */
return BUNSPEC;}  else 
{ /* ./Expand/expander.scm 15 */
{ /* ./Expand/expander.scm 15 */
obj_t BgL_arg1122z00_143;
{ /* ./Expand/expander.scm 15 */
obj_t BgL_list1125z00_144;
BgL_list1125z00_144 = 
MAKE_PAIR(BgL_cportz00_139, BNIL); 
BgL_arg1122z00_143 = 
BGl_readz00zz__readerz00(BgL_list1125z00_144); } 
{ /* ./Expand/expander.scm 15 */
int BgL_auxz00_163;
BgL_auxz00_163 = 
(int)(BgL_iz00_140); 
CNST_TABLE_SET(BgL_auxz00_163, BgL_arg1122z00_143); } } 
{ /* ./Expand/expander.scm 15 */
int BgL_auxz00_145;
{ /* ./Expand/expander.scm 15 */
long BgL_auxz00_166;
BgL_auxz00_166 = 
(BgL_iz00_140-((long)1)); 
BgL_auxz00_145 = 
(int)(BgL_auxz00_166); } 
{ 
long BgL_iz00_169;
BgL_iz00_169 = 
(long)(BgL_auxz00_145); 
BgL_iz00_140 = BgL_iz00_169; 
goto BgL_loopz00_141;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzexpand_expanderz00()
{ AN_OBJECT;
{ /* ./Expand/expander.scm 15 */
BGl_za2Oenvza2z00zzexpand_expanderz00 = BNIL; 
return ( 
BGl_za2Genvza2z00zzexpand_expanderz00 = BNIL, BUNSPEC) ;} 
}



/* initialize-Oenv! */
BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00()
{ AN_OBJECT;
{ /* ./Expand/expander.scm 37 */
return ( 
BGl_za2Oenvza2z00zzexpand_expanderz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} 
}



/* _initialize-Oenv! */
obj_t BGl__initializa7ezd2Oenvz12z67zzexpand_expanderz00(obj_t BgL_envz00_117)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 37 */
return 
BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00();} 
}



/* install-O-comptime-expander */
BGL_EXPORTED_DEF obj_t BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t BgL_keywordz00_11, obj_t BgL_functionz00_12)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 47 */
{ /* ./Expand/expander.scm 48 */
bool_t BgL_test1040z00_30;
{ /* ./Expand/expander.scm 48 */
obj_t BgL_arg1052z00_39;
{ /* ./Expand/expander.scm 48 */
obj_t BgL__andtest_1003z00_72;
BgL__andtest_1003z00_72 = BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00; 
if(
CBOOL(BgL__andtest_1003z00_72))
{ /* ./Expand/expander.scm 48 */
BgL_arg1052z00_39 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_keywordz00_11); }  else 
{ /* ./Expand/expander.scm 48 */
BgL_arg1052z00_39 = BFALSE; } } 
if(
STRUCTP(BgL_arg1052z00_39))
{ /* ./Expand/expander.scm 48 */
obj_t BgL_auxz00_180;obj_t BgL_auxz00_178;
BgL_auxz00_180 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_178 = 
STRUCT_KEY(BgL_arg1052z00_39); 
BgL_test1040z00_30 = 
(BgL_auxz00_178==BgL_auxz00_180); }  else 
{ /* ./Expand/expander.scm 48 */
BgL_test1040z00_30 = ((bool_t)0); } } 
if(BgL_test1040z00_30)
{ /* ./Expand/expander.scm 48 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1114z00zzexpand_expanderz00, BGl_string1115z00zzexpand_expanderz00, BgL_keywordz00_11);}  else 
{ /* ./Expand/expander.scm 52 */
obj_t BgL_newz00_31;
{ /* ./Expand/expander.scm 53 */
obj_t BgL_zc3anonymousza31046ze3z83_118;
{ 
int BgL_auxz00_187;int BgL_auxz00_185;
BgL_auxz00_187 = 
(int)(((long)1)); 
BgL_auxz00_185 = 
(int)(((long)2)); 
BgL_zc3anonymousza31046ze3z83_118 = 
make_fx_procedure(BGl_zc3anonymousza31046ze3z83zzexpand_expanderz00, BgL_auxz00_185, BgL_auxz00_187); } 
{ /* ./Expand/expander.scm 53 */
int BgL_auxz00_190;
BgL_auxz00_190 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31046ze3z83_118, BgL_auxz00_190, BgL_functionz00_12); } 
{ /* ./Expand/expander.scm 52 */
obj_t BgL_newz00_81;
{ /* ./Expand/expander.scm 52 */
int BgL_auxz00_195;obj_t BgL_auxz00_193;
BgL_auxz00_195 = 
(int)(((long)2)); 
BgL_auxz00_193 = 
CNST_TABLE_REF(((long)0)); 
BgL_newz00_81 = 
create_struct(BgL_auxz00_193, BgL_auxz00_195); } 
{ /* ./Expand/expander.scm 52 */
int BgL_kz00_84;
BgL_kz00_84 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_81, BgL_kz00_84, BgL_zc3anonymousza31046ze3z83_118); } 
{ /* ./Expand/expander.scm 52 */
int BgL_kz00_88;
BgL_kz00_88 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_81, BgL_kz00_88, BgL_keywordz00_11); } 
BgL_newz00_31 = BgL_newz00_81; } } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_keywordz00_11, BgL_newz00_31); 
return BgL_newz00_31;} } } 
}



/* _install-O-comptime-expander1080 */
obj_t BGl__installzd2Ozd2comptimezd2expander1080zd2zzexpand_expanderz00(obj_t BgL_envz00_119, obj_t BgL_keywordz00_120, obj_t BgL_functionz00_121)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 47 */
return 
BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(BgL_keywordz00_120, BgL_functionz00_121);} 
}



/* <anonymous:1046> */
obj_t BGl_zc3anonymousza31046ze3z83zzexpand_expanderz00(obj_t BgL_envz00_122, obj_t BgL_xz00_124, obj_t BgL_ez00_125)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 52 */
{ /* ./Expand/expander.scm 53 */
obj_t BgL_functionz00_123;
{ /* ./Expand/expander.scm 53 */
int BgL_auxz00_204;
BgL_auxz00_204 = 
(int)(((long)0)); 
BgL_functionz00_123 = 
PROCEDURE_REF(BgL_envz00_122, BgL_auxz00_204); } 
{ 
obj_t BgL_xz00_33;obj_t BgL_ez00_34;
BgL_xz00_33 = BgL_xz00_124; 
BgL_ez00_34 = BgL_ez00_125; 
{ /* ./Expand/expander.scm 53 */
obj_t BgL_newxz00_36;
BgL_newxz00_36 = 
PROCEDURE_ENTRY(BgL_functionz00_123)(BgL_functionz00_123, BgL_xz00_33, BgL_ez00_34, BEOA); 
{ /* ./Expand/expander.scm 54 */
bool_t BgL_test1047z00_37;
BgL_test1047z00_37 = 
PAIRP(BgL_newxz00_36); 
if(BgL_test1047z00_37)
{ /* ./Expand/expander.scm 54 */
return 
BGl_epairifyz00zztools_miscz00(BgL_newxz00_36, BgL_xz00_33);}  else 
{ /* ./Expand/expander.scm 54 */
return BgL_newxz00_36;} } } } } } 
}



/* find-O-expander */
BGL_EXPORTED_DEF obj_t BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(obj_t BgL_symbolz00_13)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 66 */
{ /* ./Expand/expander.scm 67 */
obj_t BgL__andtest_1003z00_91;
BgL__andtest_1003z00_91 = BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00; 
if(
CBOOL(BgL__andtest_1003z00_91))
{ /* ./Expand/expander.scm 67 */
return 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_symbolz00_13);}  else 
{ /* ./Expand/expander.scm 67 */
return BFALSE;} } } 
}



/* _find-O-expander1083 */
obj_t BGl__findzd2Ozd2expander1083z00zzexpand_expanderz00(obj_t BgL_envz00_126, obj_t BgL_symbolz00_127)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 66 */
return 
BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(BgL_symbolz00_127);} 
}



/* unbind-O-expander! */
BGL_EXPORTED_DEF obj_t BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(obj_t BgL_symbolz00_14)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 72 */
{ /* ./Expand/expander.scm 73 */
bool_t BgL_auxz00_216;
BgL_auxz00_216 = 
BGl_hashtablezd2removez12zc0zz__hashz00(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_symbolz00_14); 
return 
BBOOL(BgL_auxz00_216);} } 
}



/* _unbind-O-expander!1085 */
obj_t BGl__unbindzd2Ozd2expanderz121085z12zzexpand_expanderz00(obj_t BgL_envz00_128, obj_t BgL_symbolz00_129)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 72 */
return 
BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(BgL_symbolz00_129);} 
}



/* initialize-Genv! */
BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00()
{ AN_OBJECT;
{ /* ./Expand/expander.scm 83 */
return ( 
BGl_za2Genvza2z00zzexpand_expanderz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} 
}



/* _initialize-Genv! */
obj_t BGl__initializa7ezd2Genvz12z67zzexpand_expanderz00(obj_t BgL_envz00_130)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 83 */
return 
BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00();} 
}



/* install-G-comptime-expander */
BGL_EXPORTED_DEF obj_t BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t BgL_keywordz00_15, obj_t BgL_functionz00_16)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 93 */
{ /* ./Expand/expander.scm 94 */
bool_t BgL_test1059z00_42;
{ /* ./Expand/expander.scm 94 */
obj_t BgL_arg1064z00_44;
BgL_arg1064z00_44 = 
BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(BgL_keywordz00_15); 
if(
STRUCTP(BgL_arg1064z00_44))
{ /* ./Expand/expander.scm 94 */
obj_t BgL_auxz00_227;obj_t BgL_auxz00_225;
BgL_auxz00_227 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_225 = 
STRUCT_KEY(BgL_arg1064z00_44); 
BgL_test1059z00_42 = 
(BgL_auxz00_225==BgL_auxz00_227); }  else 
{ /* ./Expand/expander.scm 94 */
BgL_test1059z00_42 = ((bool_t)0); } } 
if(BgL_test1059z00_42)
{ /* ./Expand/expander.scm 94 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string1116z00zzexpand_expanderz00, BGl_string1117z00zzexpand_expanderz00, BgL_keywordz00_15);}  else 
{ /* ./Expand/expander.scm 98 */
obj_t BgL_newz00_43;
{ /* ./Expand/expander.scm 98 */
obj_t BgL_newz00_101;
{ /* ./Expand/expander.scm 98 */
int BgL_auxz00_234;obj_t BgL_auxz00_232;
BgL_auxz00_234 = 
(int)(((long)2)); 
BgL_auxz00_232 = 
CNST_TABLE_REF(((long)0)); 
BgL_newz00_101 = 
create_struct(BgL_auxz00_232, BgL_auxz00_234); } 
{ /* ./Expand/expander.scm 98 */
int BgL_kz00_105;
BgL_kz00_105 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_101, BgL_kz00_105, BgL_functionz00_16); } 
{ /* ./Expand/expander.scm 98 */
int BgL_kz00_110;
BgL_kz00_110 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_101, BgL_kz00_110, BgL_keywordz00_15); } 
BgL_newz00_43 = BgL_newz00_101; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_keywordz00_15, BgL_newz00_43); 
return BgL_newz00_43;} } } 
}



/* _install-G-comptime-expander */
obj_t BGl__installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t BgL_envz00_131, obj_t BgL_keywordz00_132, obj_t BgL_functionz00_133)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 93 */
return 
BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(BgL_keywordz00_132, BgL_functionz00_133);} 
}



/* find-G-expander */
BGL_EXPORTED_DEF obj_t BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(obj_t BgL_symbolz00_17)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 108 */
{ /* ./Expand/expander.scm 109 */
bool_t BgL__andtest_1004z00_45;
{ /* ./Expand/expander.scm 109 */
bool_t BgL_res1078z00_116;
{ /* ./Expand/expander.scm 109 */
obj_t BgL_objz00_112;
BgL_objz00_112 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_112))
{ /* ./Expand/expander.scm 109 */
BgL_res1078z00_116 = ((bool_t)1); }  else 
{ /* ./Expand/expander.scm 109 */
BgL_res1078z00_116 = 
REALP(BgL_objz00_112); } } 
BgL__andtest_1004z00_45 = BgL_res1078z00_116; } 
if(BgL__andtest_1004z00_45)
{ /* ./Expand/expander.scm 109 */
bool_t BgL__andtest_1007z00_46;
BgL__andtest_1007z00_46 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BGl_za2compilerzd2debugza2zd2zzengine_paramz00, 
BINT(((long)1))); 
if(BgL__andtest_1007z00_46)
{ /* ./Expand/expander.scm 109 */
return 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_symbolz00_17);}  else 
{ /* ./Expand/expander.scm 109 */
return BFALSE;} }  else 
{ /* ./Expand/expander.scm 109 */
return BFALSE;} } } 
}



/* _find-G-expander */
obj_t BGl__findzd2Gzd2expanderz00zzexpand_expanderz00(obj_t BgL_envz00_134, obj_t BgL_symbolz00_135)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 108 */
return 
BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(BgL_symbolz00_135);} 
}



/* unbind-G-expander! */
BGL_EXPORTED_DEF obj_t BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(obj_t BgL_symbolz00_18)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 115 */
{ /* ./Expand/expander.scm 116 */
bool_t BgL_auxz00_252;
BgL_auxz00_252 = 
BGl_hashtablezd2removez12zc0zz__hashz00(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_symbolz00_18); 
return 
BBOOL(BgL_auxz00_252);} } 
}



/* _unbind-G-expander! */
obj_t BGl__unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(obj_t BgL_envz00_136, obj_t BgL_symbolz00_137)
{ AN_OBJECT;
{ /* ./Expand/expander.scm 115 */
return 
BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(BgL_symbolz00_137);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzexpand_expanderz00()
{ AN_OBJECT;
{ /* ./Expand/expander.scm 15 */
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "expand_expander"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "expand_expander"); 
return 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "expand_expander");} 
}

